#!/bin/sh

echo "\nInstalling Docker\n"

curl -fsSL https://get.docker.com -o get-docker.sh
sudo chmod +x get-docker.sh
./get-docker.sh
sudo usermod -aG docker $USER

echo "\nInstalling Docker Compose\n"
sudo curl -L https://github.com/docker/compose/releases/download/1.18.0/docker-compose-`uname -s`-`uname -m` -o /usr/local/bin/docker-compose
sudo chmod +x /usr/local/bin/docker-compose

echo "\nInstalling Docker Machine\n"
base=https://github.com/docker/machine/releases/download/v0.14.0 &&
    curl -L $base/docker-machine-$(uname -s)-$(uname -m) >/tmp/docker-machine &&
    sudo install /tmp/docker-machine /usr/local/bin/docker-machine

echo "\nInstalling ZSH Docker Compose auto completion\n"
mkdir -p ~/.zsh/completion
curl -L https://raw.githubusercontent.com/docker/compose/1.21.0/contrib/completion/zsh/_docker-compose > ~/.zsh/completion/_docker-compose
curl -L https://raw.githubusercontent.com/docker/machine/v0.14.0/contrib/completion/zsh/_docker-machine > ~/.zsh/completion/_docker-machine
echo "fpath=(~/.zsh/completion $fpath)" >> ~/.zshrc
echo "autoload -Uz compinit && compinit -i" >> ~/.zshrc

echo "\nRefreshing ZSH Env\n"
exec $SHELL -l

